## analitza 16.12.3

=== debian/changelog ===
analitza (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Correct testsuite restriction rw-build-tree -> build-needed
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:29:13 +0000

analitza (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update symbols from build logs
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:17:59 +0000

=== debian/control ===
Source: analitza
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libeigen3-dev,
               libglew-dev,
               libncurses5-dev,
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libreadline-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.7
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza

Package: analitza-common
Architecture: all
Depends: ${misc:Depends}
Replaces: libanalitzaplot4 (<< 4:4.12.90), libanalitzaplot5 (<< 4:4.12.90)
Conflicts: libanalitzaplot4 (<< 4:4.12.90), libanalitzaplot5 (<< 4:4.12.90)
Description: common files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package is part of the KDE education module.

Package: libanalitza-dev
Architecture: any
Section: libdevel
Conflicts: kalgebra-dev
Depends: libanalitza7 (= ${binary:Version}),
         libanalitzagui7 (= ${binary:Version}),
         libanalitzaplot7 (= ${binary:Version}),
         libanalitzawidgets7 (= ${binary:Version}),
         libgl1-mesa-dev,
         libglu1-mesa-dev,
         qml-module-org-kde-analitza (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package contains the development files, used to build applications that
 use Analitza.
 .
 This package is part of the KDE education module.

Package: libanalitza7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzawidgets7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions - widgets
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: libanalitzaplot7
Architecture: any
Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions - plotting bits
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

Package: qml-module-org-kde-analitza
Architecture: any
Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions - QML library
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

## analitza 17.04.3

=== debian/changelog ===
analitza (4:17.04.3-0ubuntu2) artful; urgency=medium

  * Sync in changes from previous uploads, as these were missed on
    merging into packaing git

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Aug 2017 19:06:55 +0100

analitza (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Soname bump for all library packages
  * Refresh symbols and remove MISSING after sobump

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Add qttools5-dev-tools to Build-Depends
  * Install usr/share/locale and add kde-10n Breaks/Replaces
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:33:25 +0100

analitza (4:16.12.3-0ubuntu3) artful; urgency=medium

  * Disable long term failing test on i386 for the Qt 5.9 transition

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 11:19:38 +0100

analitza (4:16.12.3-0ubuntu2) artful; urgency=medium

  * No change rebuild against qtdeclarative-abi-5-9-1

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 08:26:58 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
+               qttools5-dev-tools
 Standards-Version: 3.9.7
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
@@ -24,8 +25,11 @@
 Package: analitza-common
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: libanalitzaplot4 (<< 4:4.12.90), libanalitzaplot5 (<< 4:4.12.90)
 Conflicts: libanalitzaplot4 (<< 4:4.12.90), libanalitzaplot5 (<< 4:4.12.90)
+Replaces: libanalitzaplot4 (<< 4:4.12.90),
+          libanalitzaplot5 (<< 4:4.12.90),
+          ${kde-l10n:all}
+Breaks: ${kde-l10n:all}
 Description: common files for Analitza
  Analitza is a library to parse and work with mathematical expressions. This
  library is being used by KAlgebra and Cantor and may be used in other
@@ -36,16 +40,16 @@
 Package: libanalitza-dev
 Architecture: any
 Section: libdevel
-Conflicts: kalgebra-dev
-Depends: libanalitza7 (= ${binary:Version}),
-         libanalitzagui7 (= ${binary:Version}),
-         libanalitzaplot7 (= ${binary:Version}),
-         libanalitzawidgets7 (= ${binary:Version}),
+Depends: libanalitza8 (= ${binary:Version}),
+         libanalitzagui8 (= ${binary:Version}),
+         libanalitzaplot8 (= ${binary:Version}),
+         libanalitzawidgets8 (= ${binary:Version}),
          libgl1-mesa-dev,
          libglu1-mesa-dev,
          qml-module-org-kde-analitza (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
+Conflicts: kalgebra-dev
 Description: development files for Analitza
  Analitza is a library to parse and work with mathematical expressions. This
  library is being used by KAlgebra and Cantor and may be used in other
@@ -56,7 +60,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libanalitza7
+Package: libanalitza8
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library to work with mathematical expressions
@@ -65,7 +69,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libanalitzawidgets7
+Package: libanalitzawidgets8
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library to work with mathematical expressions - widgets
@@ -74,7 +78,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libanalitzagui7
+Package: libanalitzagui8
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library to work with mathematical expressions - GUI routines
@@ -84,7 +88,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libanalitzaplot7
+Package: libanalitzaplot8
 Architecture: any
 Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
 Description: library to work with mathematical expressions - plotting bits

## analitza 17.08.3

=== debian/changelog ===
analitza (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Dec 2017 16:07:20 +0100

analitza (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (see #883622)
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove unused libncurses5-dev, and libreadline-dev build dependencies.
  * Drop manual kde-l10n-ast breaks/replaces, as it is already covered by the
    ${kde-l10n:all} substvar.
  * Add the qttools5-dev build dependency, now required. (Closes: #883835)
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:46:11 +0100

analitza (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Bump group breaks (17.08)
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:10 +0200

analitza (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:47 +0000

analitza (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:09 +0000

analitza (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:28 +0000

analitza (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:07:44 +0000

analitza (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:01 +0000

analitza (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:03 +0000

analitza (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:55:13 +0000

analitza (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:13:47 +0000

analitza (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:21:49 +0000

analitza (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:02 +0000

analitza (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:10 +0000

analitza (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:51 +0000

analitza (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:08 +0000

analitza (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:49 +0000

analitza (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:09:11 +0000

analitza (4:16.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 18 May 2016 18:10:34 +0200

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-8~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libanalitza-dbg (<= 4:15.12.0-1~~)'

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8), kinit
Restrictions: rw-build-tree

Tests: acc
Depends: @, @builddeps@,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

## analitza 17.12.3

=== CMakeLists.txt ===
project(Analitza)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

#Checking whether we can compile calgebra

set(QT_REQUIRED_VERSION 5.2)
find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Xml Svg Test Qml Quick PrintSupport)

include(FeatureSummary)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMPackageConfigHelpers)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(CheckIncludeFiles)
include(CheckLibraryExists) #FindCurses seems to need that on the CI
include(ECMPoQmTools)
set(ANALITZA_INCLUDE_INSTALL_DIR "${KDE_INSTALL_INCLUDEDIR}/Analitza5")

ecm_setup_version(8.0.0 VARIABLE_PREFIX ANALITZA
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/analitza_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Analitza5ConfigVersion.cmake")

find_package(Eigen3) # find and setup Eigen3 if available
set(HAVE_EIGEN3 ${EIGEN3_FOUND})
if(EIGEN3_FOUND)
    include_directories(${EIGEN3_INCLUDE_DIR})
endif()

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

add_subdirectory(analitza)
add_subdirectory(analitzaplot)
add_subdirectory(analitzagui)
add_subdirectory(analitzawidgets)
add_subdirectory(declarative)

if (IS_DIRECTORY "${CMAKE_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Analitza5")
ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/Analitza5Config.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza5Config.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config-analitza.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-analitza.h)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza5Config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/Analitza5ConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT AnalitzaTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE Analitza5Targets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/analitza_version.h
  DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR} COMPONENT Devel
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
analitza (4:17.12.3-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against qtdeclarative-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 21:52:39 -0500

analitza (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:22:02 +0000

analitza (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against Qt 5.9.4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 21:46:12 -0600

analitza (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:54:12 +0000

analitza (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * No-change rebuild for qtdeclarative ABI bump.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 16 Dec 2017 21:01:58 -0600

analitza (4:17.08.3-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Refresh symbols and removing MISSING

  [ Rik Mills ]
  * Update symbols from buildlogs and remove MISSING private
    symbol
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:00:27 +0000

analitza (4:17.04.3-0ubuntu3) bionic; urgency=medium

  * Additional build dependency on qttools5-dev, as
    Qt5LinguistToolsConfig.cmake has moved to this in Qt 5.9.2 packages

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 06 Nov 2017 07:14:08 +0000

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
+               qttools5-dev,
                qttools5-dev-tools
 Standards-Version: 3.9.7
 Homepage: http://edu.kde.org/

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_makeshlibs:
	$(overridden_command) -V

override_dh_strip:
	$(overridden_command) --ddeb-migration='libanalitza-dbg (<= 4:15.12.0-1~~)'

## analitza 18.04.3

=== debian/changelog ===
analitza (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 18 Jul 2018 23:16:21 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
 Standards-Version: 3.9.7
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
@@ -49,7 +49,7 @@
          libglu1-mesa-dev,
          qml-module-org-kde-analitza (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         ${misc:Depends},
 Conflicts: kalgebra-dev
 Description: development files for Analitza
  Analitza is a library to parse and work with mathematical expressions. This

## analitza 18.12.3

=== debian/changelog ===
analitza (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No change rebuild against qtdeclarative-abi-5-12-2.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 13:50:08 +0000

analitza (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:23:51 +0000

analitza (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:11:20 +0000

analitza (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)
  * Update symbol from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:07 +0000

analitza (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.0)
  * debian/patches: Drop included upstream_fix-test.patch

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 03 Jan 2019 09:20:37 +0000

analitza (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/patches: Keep patches/
      + kubuntu_disable_failing_tests.patch
      + upstream_fix-test.patch
    - d/control: Bumped dep versions.
    - d/control: Additional qml deps for qml module package.
    - d/control: Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 15 Dec 2018 16:53:45 +0000

analitza (4:18.04.3-0ubuntu3) disco; urgency=medium

  * Add upstream patch to fix test with newer Qt.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Nov 2018 12:13:45 +0000

analitza (4:18.04.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild against qtdeclarative-abi-5-11-2.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Nov 2018 18:45:49 +0000

## analitza 19.04.3

=== debian/changelog ===
analitza (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * No-change rebuild against qtdeclarative-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 12 Jul 2019 11:06:36 +0300

analitza (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:09:33 +0100

analitza (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:57:39 +0100

analitza (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:53:39 +0100

analitza (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 16:56:46 +0100

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,15 @@
                extra-cmake-modules (>= 5.31.0~),
                libeigen3-dev,
                libglew-dev,
-               libncurses5-dev,
                libqt5opengl5-dev (>= 5.6.1~),
                libqt5svg5-dev (>= 5.6.1~),
-               libreadline-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 3.9.7
+Standards-Version: 4.1.2
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
@@ -26,10 +24,10 @@
 Package: analitza-common
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: libanalitzaplot4 (<< 4:4.12.90), libanalitzaplot5 (<< 4:4.12.90)
 Replaces: libanalitzaplot4 (<< 4:4.12.90),
           libanalitzaplot5 (<< 4:4.12.90),
-          ${kde-l10n:all}
+          ${kde-l10n:all},
+Conflicts: libanalitzaplot4 (<< 4:4.12.90), libanalitzaplot5 (<< 4:4.12.90)
 Breaks: ${kde-l10n:all}
 Description: common files for Analitza
  Analitza is a library to parse and work with mathematical expressions. This
@@ -41,6 +39,7 @@
 Package: libanalitza-dev
 Architecture: any
 Section: libdevel
+Conflicts: kalgebra-dev
 Depends: libanalitza8 (= ${binary:Version}),
          libanalitzagui8 (= ${binary:Version}),
          libanalitzaplot8 (= ${binary:Version}),
@@ -50,7 +49,6 @@
          qml-module-org-kde-analitza (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
-Conflicts: kalgebra-dev
 Description: development files for Analitza
  Analitza is a library to parse and work with mathematical expressions. This
  library is being used by KAlgebra and Cantor and may be used in other
@@ -65,15 +63,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library to work with mathematical expressions
- This library is used by KAlgebra and may be used by other software to parse and
- work with mathematical expressions.
- .
- This package is part of the KDE education module.
-
-Package: libanalitzawidgets8
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: library to work with mathematical expressions - widgets
  This library is used by KAlgebra and may be used by other software to parse and
  work with mathematical expressions.
  .
@@ -99,6 +88,15 @@
  .
  This package is part of the KDE education module.
 
+Package: libanalitzawidgets8
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: library to work with mathematical expressions - widgets
+ This library is used by KAlgebra and may be used by other software to parse and
+ work with mathematical expressions.
+ .
+ This package is part of the KDE education module.
+
 Package: qml-module-org-kde-analitza
 Architecture: any
 Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
@@ -108,3 +106,4 @@
  to plotting.
  .
  This package is part of the KDE education module.
+Breaks: kalgebra-common (<< 4:17.08)

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	$(overridden_command) -V
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='libanalitza-dbg (<= 4:15.12.0-1~~)'
+	$(overridden_command) --dbgsym-migration='libanalitza-dbg (<= 4:15.12.0-1~~)'

## analitza 19.12.2

=== debian/changelog ===
analitza (4:19.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream minor release (19.12.2).
  * Bump Standards-Version to 4.5.0 (no change needed).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 08 Feb 2020 16:05:19 +0100

analitza (4:19.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update VCS entries.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Aurélien COUDERC ]
  * New upstream release (19.12.1).
  * Refresh build dependencies according to upstream build system:
    - cmake >= 3.5
    - Qt >= 5.6
  * Use new KDE release service URL in debian/watch.
  * Update upstream project URL.
  * Replace debian/compat with debhelper-compat build dependency, bump
    compatibility level to 12.
  * Refresh debian/copyright.
  * Bump Standards-Version to 4.4.1:
    - Add Rules-Requires-Root: no.
  * Borrow minimal upstream signing key from k3b.
  * Add hardening=+all build hardening flag.
  * Drop l10n migration rule not required anymore after 2 stable releases.
  * Drop dbgsym migration rules not required anymore after 2 stable releases.
  * Drop old Replaces / Conflicts rules against long gone versions.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    package.
  * Reactivate build tests.
  * Migrate from dhmk to dh --with kf5.

  [ Helmut Grohne ]
  * Mark analitza-common Multi-Arch: foreign. (Closes: #947259)
  * Mark all other packages Multi-Arch: same.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 24 Jan 2020 20:22:02 +0100

=== debian/control ===
Source: analitza
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.7.0~),
               libeigen3-dev,
               libglew-dev,
               libqt5opengl5-dev (>= 5.6),
               libqt5svg5-dev (>= 5.6),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6),
               qtdeclarative5-dev (>= 5.6),
               qttools5-dev (>= 5.6),
               qttools5-dev-tools (>= 5.6),
# For running tests
               xvfb,
               xauth,
Standards-Version: 4.5.0
Homepage: https://api.kde.org/stable/kdeedu-apidocs/analitza/html/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/analitza
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/analitza.git
Rules-Requires-Root: no

Package: analitza-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package is part of the KDE education module.

Package: libanalitza-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Conflicts: kalgebra-dev
Depends: libanalitza8 (= ${binary:Version}),
         libanalitzagui8 (= ${binary:Version}),
         libanalitzaplot8 (= ${binary:Version}),
         libanalitzawidgets8 (= ${binary:Version}),
         qml-module-org-kde-analitza (= ${binary:Version}),
         qtbase5-dev (>= 5.6),
         ${misc:Depends},
Description: development files for Analitza
 Analitza is a library to parse and work with mathematical expressions. This
 library is being used by KAlgebra and Cantor and may be used in other
 programs.
 .
 This package contains the development files, used to build applications that
 use Analitza.
 .
 This package is part of the KDE education module.

Package: libanalitza8
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions.
 .
 This package is part of the KDE education module.

Package: libanalitzagui8
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions - GUI routines
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to the graphical user interface.
 .
 This package is part of the KDE education module.

Package: libanalitzaplot8
Architecture: any
Multi-Arch: same
Depends: analitza-common, ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions - plotting bits
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the routines related
 to plotting.
 .
 This package is part of the KDE education module.

Package: libanalitzawidgets8
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to work with mathematical expressions - widgets
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides several UI components
 based on QWidget and QML.
 .
 This package is part of the KDE education module.

Package: qml-module-org-kde-analitza
Architecture: any
Multi-Arch: same
Depends: analitza-common,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: library to work with mathematical expressions - QML library
 This library is used by KAlgebra and may be used by other software to parse and
 work with mathematical expressions. This library provides the QML components
 for some of the UI widgets.
 .
 This package is part of the KDE education module.
Breaks: kalgebra-common (<< 4:17.08)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with kf5

TESTS_ROOT=$(CURDIR)/debian/tests.root

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p "$(TESTS_ROOT)"
	mkdir -p "$(TESTS_ROOT)/tmp"
	mkdir -p "$(TESTS_ROOT)/home/tests"
	mkdir -p -m 700 "$(TESTS_ROOT)/run"
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel -- HOME="$(TESTS_ROOT)/home/tests" TMPDIR="$(TESTS_ROOT)/tmp" XDG_RUNTIME_DIR="$(TESTS_ROOT)/run"
endif

override_dh_auto_clean:
	rm -rf "$(TESTS_ROOT)"
	dh_auto_clean --buildsystem=kf5

## analitza 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(Analitza)
 
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.5)
 
 find_package(ECM 1.7.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -8,7 +8,7 @@
 
 #Checking whether we can compile calgebra
 
-set(QT_REQUIRED_VERSION 5.2)
+set(QT_REQUIRED_VERSION 5.6)
 find_package(Qt5 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Xml Svg Test Qml Quick PrintSupport)
 
 include(FeatureSummary)
@@ -32,13 +32,17 @@
 find_package(Eigen3) # find and setup Eigen3 if available
 set(HAVE_EIGEN3 ${EIGEN3_FOUND})
 if(EIGEN3_FOUND)
-    include_directories(${EIGEN3_INCLUDE_DIR})
+    include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR})
 endif()
 
 include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
+endif()
 
 add_subdirectory(analitza)
 add_subdirectory(analitzaplot)
@@ -46,9 +50,7 @@
 add_subdirectory(analitzawidgets)
 add_subdirectory(declarative)
 
-if (IS_DIRECTORY "${CMAKE_SOURCE_DIR}/po")
-    ecm_install_po_files_as_qm(po)
-endif()
+ecm_install_po_files_as_qm(po)
 
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Analitza5")
 ecm_configure_package_config_file(

=== analitzaplot/CMakeLists.txt ===
if(WIN32)
    find_package(GLEW REQUIRED)
    include_directories(${GLEW_INCLUDE_DIRS})
endif(WIN32)

find_path(IEEEFP_DIR ieeefp.h)
if(IEEEFP_DIR)
    include_directories(${IEEEFP_DIR})
    add_definitions(-DHAVE_IEEEFP_H)
endif(IEEEFP_DIR)

# MSVC and MinGW don't provide M_PI and friends in math.h,
# unless the right #define is set:
if(MSVC)
    add_definitions(-D_USE_MATH_DEFINES)
elseif(MINGW)
    add_definitions(-D_BSD_SOURCE)
endif()

set ( analitzaplot_SRCS
    private/utils/mathutils.cpp
    private/utils/quadtree.cpp
    private/utils/marchingsquares.cpp
    private/utils/marchingcubes.cpp

    private/abstractplotitem.cpp
    private/abstractfunctiongraph.cpp
    private/abstractplanecurve.cpp
    private/abstractspacecurve.cpp
    private/abstractsurface.cpp
    private/functiongraphfactory.cpp
    private/export3d.cpp

    private/backends/cartesiansurface.cpp
    private/backends/implicitcurve.cpp
    private/backends/cartesiancurve.cpp
    private/backends/cylindricalsurface.cpp
    private/backends/parametriccurve2d.cpp
    private/backends/parametriccurve3d.cpp
    private/backends/parametricsurface.cpp
    private/backends/polarcurve.cpp
    private/backends/implicitpolarcurve.cpp
    private/backends/sphericalsurface.cpp
    private/backends/implicitsurface.cpp

    plotsfactory.cpp
    plotitem.cpp
    functiongraph.cpp
    planecurve.cpp
    spacecurve.cpp
    surface.cpp
    plotsmodel.cpp
    plotsdictionarymodel.cpp
    plotter2d.cpp
    plotter3d_es.cpp
)

add_library( AnalitzaPlot ${analitzaplot_SRCS} )
target_link_libraries ( AnalitzaPlot
PUBLIC
  Analitza
  Qt5::Core
  Qt5::Gui

PRIVATE
  Qt5::PrintSupport # this pulls widgets
)

if(CMAKE_SYSTEM_NAME STREQUAL Android)
    target_link_libraries(AnalitzaPlot PRIVATE GLESv2)
elseif(WIN32)
    target_link_libraries(AnalitzaPlot PRIVATE ${GLEW_LIBRARIES})
endif()

set_target_properties(AnalitzaPlot PROPERTIES VERSION ${ANALITZA_VERSION_STRING} SOVERSION ${ANALITZA_SOVERSION} )

generate_export_header(AnalitzaPlot EXPORT_FILE_NAME analitzaplotexport.h)

install(TARGETS AnalitzaPlot EXPORT AnalitzaTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/analitzaplotexport.h
    plotitem.h
    functiongraph.h
    planecurve.h
    spacecurve.h
    surface.h
    plotsmodel.h
    plotsdictionarymodel.h
    plotter2d.h
    plottingenums.h
    plotsfactory.h
    plotter3d_es.h

    DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR}/analitzaplot/ COMPONENT Devel
)

add_subdirectory(data)
add_subdirectory(tests)
add_subdirectory(examples)

=== debian/changelog ===
analitza (4:19.12.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild against qtdeclarative-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:10:08 +0100

analitza (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:03:27 +0000

analitza (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:15:26 +0000

analitza (4:19.12.1-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu Vcs fields.
    - Keep using symbols files.
    - Provide libanalitza-dev.acc.in so that the acc test actually
      does something useful testing header compilation.

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Jan 2020 09:55:53 +0000

analitza (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:49:15 +0000

analitza (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:42:43 +0000

analitza (4:19.08.3-0ubuntu1) focal; urgency=medium

  * Update symbols from build logs.
  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:27:36 +0000

analitza (4:19.04.3-0ubuntu3) focal; urgency=medium

  * No-change rebuild againts qtdeclarative-abi-5-12-5

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Oct 2019 11:44:37 +0100

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,12 @@
                qtdeclarative5-dev (>= 5.6),
                qttools5-dev (>= 5.6),
                qttools5-dev-tools (>= 5.6),
-# For running tests
+               xauth,
                xvfb,
-               xauth,
-Standards-Version: 4.5.0
+Standards-Version: 4.4.1
 Homepage: https://api.kde.org/stable/kdeedu-apidocs/analitza/html/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/analitza
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/analitza.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
 Rules-Requires-Root: no
 
 Package: analitza-common

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with kf5
+	dh $@ --with kf5,pkgkde_symbolshelper
 
 TESTS_ROOT=$(CURDIR)/debian/tests.root

=== debian/tests/control ===
Tests: acc
Depends: @, @builddeps@,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

## analitza 20.08.0

=== debian/changelog ===
analitza (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Simplify the dependencies of libanalitza-dev: use the sodeps addon instead
    of manually listing all the libraries.
  * Tighten library dependencies.
  * Do not create temporary directories for dh_auto_test, they are not needed.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 23:23:55 +0200

analitza (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.04.2).
  * Refresh copyright information.
  * Add Bug-* URLs to upstream metadata.
  * Bump dh compat level to 13.
  * Mark test build dependencies with the <!nocheck> profile.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 13 Jun 2020 15:40:42 +0200

## analitza 20.08.1

=== debian/changelog ===
analitza (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:47:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
                libeigen3-dev,
                libglew-dev,
@@ -16,12 +16,12 @@
                qtdeclarative5-dev (>= 5.6),
                qttools5-dev (>= 5.6),
                qttools5-dev-tools (>= 5.6),
-               xauth,
-               xvfb,
-Standards-Version: 4.4.1
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.5.0
 Homepage: https://api.kde.org/stable/kdeedu-apidocs/analitza/html/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/analitza
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/analitza
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/analitza.git
 Rules-Requires-Root: no
 
 Package: analitza-common
@@ -40,13 +40,10 @@
 Multi-Arch: same
 Section: libdevel
 Conflicts: kalgebra-dev
-Depends: libanalitza8 (= ${binary:Version}),
-         libanalitzagui8 (= ${binary:Version}),
-         libanalitzaplot8 (= ${binary:Version}),
-         libanalitzawidgets8 (= ${binary:Version}),
-         qml-module-org-kde-analitza (= ${binary:Version}),
+Depends: qml-module-org-kde-analitza (= ${binary:Version}),
          qtbase5-dev (>= 5.6),
          ${misc:Depends},
+         ${so:Depends},
 Description: development files for Analitza
  Analitza is a library to parse and work with mathematical expressions. This
  library is being used by KAlgebra and Cantor and may be used in other

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@ --with kf5,sodeps

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test --no-parallel
endif

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## analitza 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,10 +39,7 @@
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
-endif()
+
 
 add_subdirectory(analitza)
 add_subdirectory(analitzaplot)

=== analitzawidgets/CMakeLists.txt ===
find_path(IEEEFP_DIR ieeefp.h)
if(IEEEFP_DIR)
    include_directories(${IEEEFP_DIR})
    add_definitions(-DHAVE_IEEEFP_H)
endif(IEEEFP_DIR)

set(analitzaplot_SRCS
    plotsview2d.cpp
    plotsview3d_es.cpp
    expressionedit.cpp
)

add_library(AnalitzaWidgets ${analitzaplot_SRCS})
target_link_libraries(AnalitzaWidgets PUBLIC Qt5::Widgets Analitza AnalitzaPlot AnalitzaGui
                                      PRIVATE Qt5::Svg
)

set_target_properties(AnalitzaWidgets PROPERTIES VERSION ${ANALITZA_VERSION_STRING} SOVERSION ${ANALITZA_SOVERSION} )

generate_export_header(AnalitzaWidgets)

install(TARGETS AnalitzaWidgets EXPORT AnalitzaTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/analitzawidgets_export.h
    plotsview2d.h
    expressionedit.h
    plotsview3d_es.h

    DESTINATION ${ANALITZA_INCLUDE_INSTALL_DIR}/analitzagui/ COMPONENT Devel
)

=== debian/changelog ===
analitza (4:20.12.0-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Disable fixfilepath reproducibility feature, as it triggers build failures
    when enabled. (Closes: #972306)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 11 Jan 2021 16:43:53 +0100

analitza (4:20.12.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove the 'acc' autopkgtest, as there are no more .acc.in files for it
    since version 4:17.08.0-1.

  [ Aurélien COUDERC ]
  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 02 Jan 2021 10:53:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
@@ -18,7 +18,7 @@
                qttools5-dev-tools (>= 5.6),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://api.kde.org/stable/kdeedu-apidocs/analitza/html/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/analitza
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/analitza.git

## analitza 20.12.3

=== debian/changelog ===
analitza (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:14:10 +0000

analitza (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:48:37 +0000

analitza (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:06:45 +0000

## analitza 21.08.0

=== debian/changelog ===
analitza (4:21.08.0-2) UNRELEASED; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 11 Jul 2022 11:04:45 +0800

analitza (4:21.08.0-2) unstable; urgency=medium

  * update version.
  * rebuild.

 -- wangxiangyu <wangxiangyu@uniontech.com>  Mon, 11 Jul 2022 10:59:04 +0900

analitza (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:42:04 +0900

analitza (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 09:27:35 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: analitza
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
